import org.junit.*;
import static org.junit.Assert.*;

import impl.SimpleMath;

public class TestMath{
	SimpleMath m;
	@Before
	public void init(){
		m = new SimpleMath();
	}

	@After
	public void tearDown(){
		m = null;
	}

	@Test
	public void testMin(){
		System.out.println("testMin");

		int a=5, b=6;
		assertEquals(a, m.min(a,b));
		b=5;
		assertEquals(a, m.min(a,b));
		b=4;
		assertEquals(b, m.min(a,b));
	}
	
	@Test
	public void testMax(){
		System.out.println("testMax");
		
		int a=6, b=5;
		assertEquals(a, m.max(a,b));
		b=6;
		assertEquals(a, m.max(a,b));
		b=7;
		assertEquals(b, m.max(a,b));
	}

	@Test(expected = IllegalArgumentException.class)
	public void testException(){
		m.add("123", "vierfuenfsechs");
	}
}
